package com.atlassian.bitbucket.scm.git.command.lsfiles;

import com.atlassian.bitbucket.scm.git.command.GitCommandBuilderSupport;

import javax.annotation.Nonnull;

public interface GitLsFilesBuilder extends GitCommandBuilderSupport<GitLsFilesBuilder> {

    @Nonnull
    GitLsFilesBuilder stage(boolean value);

    @Nonnull
    GitLsFilesBuilder path(String value);

    @Nonnull
    GitLsFilesBuilder paths(Iterable<String> values);
}
